Bug 445556 - Cannot start or configure X
Cannot start or configure X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 11:44 EDT by Răzvan Sandu
Modified: 2009-12-18 01:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.conf, as requested (958 bytes, text/plain)
2008-05-08 13:45 EDT, Răzvan Sandu
no flags Details
Xorg.0.log, while the above xorg.conf file is in use (36.78 KB, text/plain)
2008-05-08 13:54 EDT, Răzvan Sandu
no flags Details
Xorg.0.log, while using no xorg.conf (39.52 KB, text/plain)
2008-05-08 13:59 EDT, Răzvan Sandu
no flags Details

  None (edit)
Description Răzvan Sandu 2008-05-07 11:44:21 EDT
Description of problem:

On this system:

http://www.smolts.org/client/show/pub_cd2939b3-c2df-450d-850a-c72ced050d65

running system-config-display --reconfig gets to blank screen (monitor says "No
video signal"). One only can exit this by rebooting.

Monitor is a Nec AccuSync LCD72VM.
Video card is an GF 7200GS PCI-E 256M


Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.8-1.fc9.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Install F9 rawhide
2. Log in as root in text mode (runlevel 3)
3. invoke system-config-display --reconfig
  
Actual results:
Screen becomes blank, monitor enters "no video signal" state. One cannot leave
this without rebooting.

startx won't start X session.


Expected results:
system-config-display should configure this at least in a minimal, but usable
video mode.

Additional info:
There *are* video modes in which X works on this hardware (at 800x600
resolutions), but the default, detected by system-config-display, seems to be wrong.
Comment 1 Răzvan Sandu 2008-05-07 11:52:38 EDT
I cannot find out the exact make of the video board: it only says:

GF 7200GS PCI-E 256M
Support 512M DDRII HDTV/DVI
Made in China

Has a pretty big cooler with fan and three connectors:
- standard video female connector (blue)
- round DVI female connector (black)
- HDTV female connector (white)


Răzvan
Comment 2 Răzvan Sandu 2008-05-07 12:06:06 EDT
Here are technical specs for the monitor (PDF) - someone please add this model
into Fedora's system-config-display list ?

http://www.monitorcenter.hu/nec_accusync_72vm.pdf

Regards,
Răzvan
Comment 3 Matěj Cepl 2008-05-07 18:50:33 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Răzvan Sandu 2008-05-08 13:45:40 EDT
Created attachment 304877 [details]
Xorg.conf, as requested
Comment 5 Răzvan Sandu 2008-05-08 13:54:31 EDT
Created attachment 304879 [details]
Xorg.0.log, while the above xorg.conf file is in use
Comment 6 Răzvan Sandu 2008-05-08 13:59:35 EDT
Created attachment 304880 [details]
Xorg.0.log, while using no xorg.conf
Comment 7 Bug Zapper 2008-05-14 06:46:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Răzvan Sandu 2008-07-25 09:57:50 EDT
This problem is still unsolved in Fedora 9 + all online updates as for July 25,2008.

It seems it's a video adapter matter, since I have other identical monitors
working with no problem in F9.

Any news about this, please ?

Răzvan
Comment 9 Bug Zapper 2008-11-25 21:15:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-11-18 05:11:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:08:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.